Package org.apache.sling.scripting.sightly.js.impl.async

# Class AsyncExtractor

java.lang.Object
org.apache.sling.scripting.sightly.js.impl.async.AsyncExtractor

public class AsyncExtractor extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`THEN_METHOD`

## Constructor Summary

Constructors
Constructor
Description
`AsyncExtractor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`extract(Object jsObj, UnaryCallback unaryCallback)`
`boolean`
`isPromise(Object jsObj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### THEN_METHOD

public static final String THEN_METHOD

See Also:
  - Constant Field Values

## Constructor Details

### AsyncExtractor

public AsyncExtractor()

## Method Details

### extract

public void extract(Object jsObj, UnaryCallback unaryCallback)

### isPromise

public boolean isPromise(Object jsObj)